<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Entity;

use Sylius\Component\Core\Model\ProductVariantInterface;
use Sylius\Component\Resource\Model\ResourceInterface;

interface InventoryLogEntryInterface extends ResourceInterface
{
    public function getVariant(): ProductVariantInterface;

    public function setVariant(ProductVariantInterface $variant): self;

    public function getLoggedAt(): \DateTimeImmutable;

    public function setLoggedAt(\DateTimeImmutable $loggedAt): self;

    public function getInventoryName(): string;

    public function setInventoryName(string $inventoryName): self;

    public function getOnHand(): ?int;

    public function setOnHand(?int $onHand): self;

    public function getOnHold(): ?int;

    public function setOnHold(?int $onHold): self;

    public function getPreviousOnHand(): ?int;

    public function setPreviousOnHand(?int $previousOnHand): self;

    public function getPreviousOnHold(): ?int;

    public function setPreviousOnHold(?int $previousOnHold): self;

    public function getPath(): string;

    public function setPath(string $path): self;

    public function getType(): string;

    public function setType(string $type): self;
}
